.result {
  position: relative;
  width: 100%;
  height: 65px;
  overflow: hidden }
.result__info {
  position: absolute;
  bottom: 4px;
  color: #fff;
  font-size: 0.8rem;
  transition: all 150ms ease-in-out;
  transform: translateY(200%);
  opacity: 0 }
.result__info.right { right: 8px }
.result__info.left { left: 8px }
.result__viewbox {
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.08);
  border-radius: 8px;
  color: #fff;
  text-align: center;
  line-height: 65px }
.result #copy-btn {
  position: absolute;
  top: var(--y);
  left: var(--x);
  width: 38px;
  height: 38px;
  background: #fff;
  border-radius: 50%;
  opacity: 0;
  transform: translate(-50%, -50%) scale(0);
  transition: all 350ms cubic-bezier(0.175, 0.885, 0.32, 1.275);
  cursor: pointer;
  z-index: 2 }
.result #copy-btn:active { box-shadow: 0 0 0 200px rgba(255, 255, 255, 0.08) }
.result:hover #copy-btn {
  opacity: 1;
  transform: translate(-50%, -50%) scale(1.35) }
.field-title {
  position: absolute;
  top: -18px;
  left: 8px;
  transform: translateY(-50%);
  font-weight: 800;
  color: rgb(255 255 255);
  text-transform: uppercase;
  font-size: 0.75rem;
  pointer-events: none;
  user-select: none }
.options {
  width: 100%;
  height: auto;
  margin: 50px 0 }
.range__slider {
  position: relative;
  width: 100%;
  height: calc(65px - 10px);
  display: flex;
  justify-content: center;
  align-items: center;
  background: rgba(255, 255, 255, 0.08);
  border-radius: 8px;
  margin: 30px 0 }
.range__slider::before, .range__slider::after {
  position: absolute;
  color: #fff;
  font-size: 0.9rem;
  font-weight: bold }
.range__slider::before {
  content: attr(data-min);
  left: 10px }
.range__slider::after {
  content: attr(data-max);
  right: 10px }
.range__slider .length__title::after {
  content: attr(data-length);
  position: absolute;
  right: -25px;
  font-variant-numeric: tabular-nums;
  color: #fff }
#slider {
  -webkit-appearance: none;
  width: calc(100% - (70px));
  height: 2px;
  border-radius: 5px;
  background: rgba(255, 255, 255, 0.314);
  outline: none;
  padding: 0;
  margin: 0;
  cursor: pointer }
#slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background: white;
  cursor: pointer;
  transition: all 0.15s ease-in-out }
#slider::-webkit-slider-thumb:hover {
  background: #d4d4d4;
  transform: scale(1.2) }
#slider::-moz-range-thumb {
  width: 20px;
  height: 20px;
  border: 0;
  border-radius: 50%;
  background: white;
  cursor: pointer;
  transition: background 0.15s ease-in-out }
#slider::-moz-range-thumb:hover { background: #d4d4d4 }
.settings {
  position: relative;
  height: auto;
  width: 100%;
  display: flex;
  flex-direction: column }
.settings .setting {
  position: relative;
  width: 100%;
  height: calc(65px - 10px);
  background: rgba(255, 255, 255, 0.08);
  border-radius: 8px;
  display: flex;
  align-items: center;
  padding: 10px 25px;
  color: #fff;
  margin-bottom: 8px }
.settings .setting input {
  opacity: 0;
  position: absolute }
.settings .setting input + label { user-select: none }
.settings .setting input + label::before, .settings .setting input + label::after {
  content: "";
  position: absolute;
  transition: 150ms cubic-bezier(0.24, 0, 0.5, 1);
  transform: translateY(-50%);
  top: 50%;
  right: 10px;
  cursor: pointer }
.settings .setting input + label::before {
  height: 30px;
  width: 50px;
  border-radius: 30px;
  background: rgba(214, 214, 214, 0.434) }
.settings .setting input + label::after {
  height: 24px;
  width: 24px;
  border-radius: 60px;
  right: 32px;
  background: #fff }
.settings .setting input:checked + label:before {
  background: #5d68e2;
  transition: all 150ms cubic-bezier(0, 0, 0, 0.1) }
.settings .setting input:checked + label:after { right: 14px }
.settings .setting input:focus + label:before { box-shadow: 0 0 0 2px rgba(255, 255, 255, 0.75) }
.settings .setting input:disabled + label:before, .settings .setting input:disabled + label:after { cursor: not-allowed }
.settings .setting input:disabled + label:before { background: #4f4f6a }
.settings .setting input:disabled + label:after { background: #909090 }
.support {
  position: fixed;
  right: 10px;
  bottom: 10px;
  padding: 10px;
  display: flex }
.settings h4 {
  color: white!important;
  margin-bottom: 1rem!important }
.calc-btn { margin-top: 1.6rem }
.calc-btn button { border: none }
@media screen and (max-width: 750px) {
  .range__slider { margin: 20px 0 }
  .calc-btn { margin-top: 1.2rem }
  .field-title {
    top: -14px;
    left: 0;
  }
  .mobile-margin-settings h4 { margin-top: 1rem }
}